Bug 22620 - OPAC description for collection in opac-reserve.tt
Summary: OPAC description for collection in opac-reserve.tt
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Keywords:
Depends on: 20450
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-02 07:06 UTC by Fridolin SOMERS
Modified: 2019-10-14 20:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 22620: OPAC description for CCODE in opac-reserve.tt (2.04 KB, patch)
2019-04-02 08:01 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 22620: OPAC description for CCODE in opac-reserve.tt (2.09 KB, patch)
2019-04-02 13:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22620: OPAC description for CCODE in opac-reserve.tt (2.15 KB, patch)
2019-04-02 19:38 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2019-04-02 07:06:43 UTC
Bug 20450 added CCODE to opac-reserve.tt using AuthorisedValues TT plugin.
This plugin call should request OPAC description.
Comment 1 Fridolin SOMERS 2019-04-02 08:01:15 UTC
Created attachment 87306 [details] [review]
Bug 22620: OPAC description for CCODE in opac-reserve.tt

Bug 20450 added CCODE to opac-reserve.tt using AuthorisedValues TT plugin.

This patch changes the plugin call so that it requests OPAC description.

Test plan :
1) Define a CCODE with staff and OPAC descriptions
2) Apply this collection on an item
3) At OPAC, place an hold on this item
4) Verify the collection display correctly OPAC description and not staff description
Comment 2 Owen Leonard 2019-04-02 13:13:59 UTC
Created attachment 87322 [details] [review]
Bug 22620: OPAC description for CCODE in opac-reserve.tt

Bug 20450 added CCODE to opac-reserve.tt using AuthorisedValues TT plugin.

This patch changes the plugin call so that it requests OPAC description.

Test plan :
1) Define a CCODE with staff and OPAC descriptions
2) Apply this collection on an item
3) At OPAC, place an hold on this item
4) Verify the collection display correctly OPAC description and not staff description

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2019-04-02 19:38:47 UTC
Created attachment 87330 [details] [review]
Bug 22620: OPAC description for CCODE in opac-reserve.tt

Bug 20450 added CCODE to opac-reserve.tt using AuthorisedValues TT plugin.

This patch changes the plugin call so that it requests OPAC description.

Test plan :
1) Define a CCODE with staff and OPAC descriptions
2) Apply this collection on an item
3) At OPAC, place an hold on this item
4) Verify the collection display correctly OPAC description and not staff description

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-04-05 13:09:48 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-15 10:40:30 UTC
Pushed to 18.11.x for 18.11.05
Comment 6 Lucas Gass 2019-04-15 17:22:49 UTC
missing dependency for 18.05.x branch